# Run tests in check section
%bcond_without check

%global goipath         github.com/tambet/go-asana
%global commit          6c0cb7090a14aaf5861c43a10e6db9d32c1fe555

%global common_description %{expand:
Golang library for accessing the Asana API.}

%gometa
%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 0.4
Summary:        Golang library for accessing the Asana API
Group:          Development/Golang
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(github.com/google/go-querystring/query)

%description
%{common_description}
%gopkg

%prep
%goprep


%install
%gopkginstall


%if %{with check}
%check
%gochecks
%endif

%gopkgfiles


%changelog
* Tue Dec 31 2024 wally <wally> 0-0.4.mga10
+ Revision: 2133958
- update RPM group to Development/Golang

* Mon Mar 21 2022 umeabot <umeabot> 0-0.4.mga9
+ Revision: 1813162
- Mageia 9 Mass Rebuild

* Sun Aug 30 2020 joequant <joequant> 0-0.3.mga8
+ Revision: 1619916
- fix builds
- fix build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1334641
- imported package golang-github-tambet-asana


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git6c0cb70
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180420git6c0cb70
- First package for Fedora

